Loading...
Searching...
No Matches
argagg::convert::converter< T > Struct Template Reference

For simple types the main extension point for adding argument conversions is argagg::convert::arg<T>(). However, for complex types such as templated types partial specialization of a helper struct is required. This struct provides that extension point. The default, generic implementation of argagg::convert::arg<T>() calls converter<T>::convert(). More...

`#include <argagg.hpp>`

## Static Public Member Functions

static T | convert (const char *arg)

## Detailed Description

template<typename T>
struct argagg::convert::converter< T >

For simple types the main extension point for adding argument conversions is argagg::convert::arg<T>(). However, for complex types such as templated types partial specialization of a helper struct is required. This struct provides that extension point. The default, generic implementation of argagg::convert::arg<T>() calls converter<T>::convert().

See also
  argagg::csv

Definition at line 186 of file argagg.hpp.

## Member Function Documentation

## convert()

template<typename T>

T argagg::convert::converter< T >::convert | ( | const char * | arg | ) |

static

The documentation for this struct was generated from the following file:

- argagg.hpp